Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members

# EuclideanDomainOf< T > Class Template Reference

`#include <algebra.h>`

Inheritance diagram for EuclideanDomainOf< T >:

List of all members.

## Detailed Description

### template<class T>
class EuclideanDomainOf< T >

EuclideanDomainOf.

Definition at line 155 of file algebra.h.

## Public Types
typedef T | Element
## Public Member Functions
bool | Equal (const Element &a, const Element &b) const
const Element & | Identity () const
const Element & | Add (const Element &a, const Element &b) const
Element & | Accumulate (Element &a, const Element &b) const
const Element & | Inverse (const Element &a) const
const Element & | Subtract (const Element &a, const Element &b) const
Element & | Reduce (Element &a, const Element &b) const
const Element & | Double (const Element &a) const
const Element & | MultiplicativeIdentity () const
const Element & | Multiply (const Element &a, const Element &b) const
const Element & | Square (const Element &a) const
bool | IsUnit (const Element &a) const
const Element & | MultiplicativeInverse (const Element &a) const
const Element & | Divide (const Element &a, const Element &b) const
const Element & | Mod (const Element &a, const Element &b) const
void | DivisionAlgorithm (Element &r, Element &q, const Element &a, const Element &d) const
bool | operator== (const EuclideanDomainOf< T > &rhs) const
virtual const Element & | Gcd (const Element &a, const Element &b) const
virtual Element | Exponentiate (const Element &a, const Integer &e) const
virtual Element | CascadeExponentiate (const Element &x, const Integer &e1, const Element &y, const Integer &e2) const
virtual void | SimultaneousExponentiate (Element *results, const Element &base, const Integer *exponents, unsigned int exponentsCount) const
virtual const AbstractGroup< T > & | MultiplicativeGroup () const
virtual bool | InversionIsFast () const
virtual Element | ScalarMultiply (const Element &a, const Integer &e) const
virtual Element | CascadeScalarMultiply (const Element &x, const Integer &e1, const Element &y, const Integer &e2) const
virtual void | SimultaneousMultiply (Element *results, const Element &base, const Integer *exponents, unsigned int exponentsCount) const

The documentation for this class was generated from the following file:

- algebra.h